jQuery(document).ready(function(){  
    
    jQuery( '.get-video-infos' ).live( 'click', function(e){
        e.preventDefault();
        
        var video_source = jQuery(this).attr('rel');
        
        var video_url = jQuery(this).prev('input').attr('value');
        
        var good_video_url = true;
        
        if( video_source == 'youtube' ){
            
            if( video_url.search( /http[s]?:\/\/www.youtube\.com\/watch\?v=[a-zA-Z0-9\-_]+/g ) > -1 ){
                
                var video_url_splitted = video_url.split('=');
                var video_id = video_url_splitted[1];
                
                jQuery( 'input[name="url_vimeo"]' ).attr('value', '');
                jQuery( 'input[name="url_dailymotion"]' ).attr('value', '');
                jQuery( 'input[name="url_video"]' ).attr('value', '');
                
                
            }else{
                good_video_url = false;
                alert( 'Invalid Youtube URL' );
            }

        }
        
        if( video_source == 'vimeo' ){
                
            if( video_url.search( /http[s]?:\/\/vimeo.com\/[0-9]+/g ) > -1 ){
                var video_url_splitted = video_url.split('/');
                var video_id = video_url_splitted[3];
                
                jQuery( 'input[name="url_youtube"]' ).attr('value', '');
                jQuery( 'input[name="url_dailymotion"]' ).attr('value', '');
                jQuery( 'input[name="url_video"]' ).attr('value', '');
                
            }else{
                good_video_url = false;
                alert( 'Invalid Vimeo URL' );
            }

        }
        
        if( video_source == 'dailymotion' ){
                
            if( video_url.search( /http[s]?:\/\/www.dailymotion.com\/video\/[a-zA-Z0-9\-_]+/g ) > -1 ){
                var video_url_splitted = video_url.split('/');
                var video_id = video_url_splitted[4];
                
                jQuery( 'input[name="url_youtube"]' ).attr('value', '');
                jQuery( 'input[name="url_vimeo"]' ).attr('value', '');
                jQuery( 'input[name="url_video"]' ).attr('value', '');
                
            }else{
                good_video_url = false;
                alert( 'Invalid Dailymotion URL' );
            }

        }
        
        if( good_video_url == true ){
        
            jQuery.ajax({
                    type       : "POST",
                    url        : ajax_var.url,
                    data       : "action=novavideo_get_video_infos&nonce=" + ajax_var.nonce + "&video_source=" + video_source + "&video_id=" + video_id,
                    dataType   : "json",  
                    beforeSend : function(){ 
                    }, 
                    success    : function(video_infos_data){
                        //Add title infos
                        jQuery( '#title-prompt-text' ).text('');
                        jQuery( '#title' ).attr('value', video_infos_data.title);
                        
                        //Add description infos
                        jQuery( '#content-html').trigger('click');
                        jQuery( '#content' ).attr('value', video_infos_data.description);
                        jQuery( '#content-tmce').trigger('click');
                        
                        //Add time infos
                        var duration_in_secs = video_infos_data.duration;
                        var hours   = Math.floor(duration_in_secs / 3600);
                        var minutes = Math.floor((duration_in_secs - (hours * 3600)) / 60);
                        var seconds = duration_in_secs - (hours * 3600) - (minutes * 60);
                        if (hours   < 10) {hours   = "0"+hours;}
                        if (minutes < 10) {minutes = "0"+minutes;}
                        if (seconds < 10) {seconds = "0"+seconds;}
                        //for full time
                        jQuery( 'select[name="duree_hh"] option[value="' + hours + '"]' ).prop('selected', true);
                        jQuery( 'select[name="duree_mm"] option[value="' + minutes + '"]' ).prop('selected', true);
                        jQuery( 'select[name="duree_ss"] option[value="' + seconds + '"]' ).prop('selected', true);
                        //for extract time
                        jQuery( 'select[name="duree_extrait_hh"] option[value="' + hours + '"]' ).prop('selected', true);
                        jQuery( 'select[name="duree_extrait_mm"] option[value="' + minutes + '"]' ).prop('selected', true);
                        jQuery( 'select[name="duree_extrait_ss"] option[value="' + seconds + '"]' ).prop('selected', true);
                        
                        //Add thumbnail infos
                        jQuery( 'input[name="url_thumb"]' ).attr('value', video_infos_data.thumbnail);
                        
                    }, 
                    error     : function(jqXHR, textStatus, errorThrown) {
                        alert("Un problème est survenu lors de la récupération des informations."); 
                    } 
            });
        }else{
            return false;
        }
    } );
    
});      