<?php

// create option page

add_action('admin_menu', 'novavideo_create_theme_option_menu');


function novavideo_create_theme_option_menu() {    
            
        global $theme_name;
            
    	//create new top-level menu
        
 	    $theme_options_page = add_menu_page( __('Novavideo', $theme_name), __('Novavideo', $theme_name), 'manage_options', sanitize_title( $theme_name ) . '_theme_options', 'novavideo_theme_options_settings_page' );
        
        //enqueue theme options admin css style only on theme option page
        
        add_action( "admin_print_scripts-$theme_options_page", 'load_theme_options_admin_script');
        add_action( "admin_print_styles-$theme_options_page", "load_theme_options_admin_style" );
        
        function load_theme_options_admin_script()
        {
            wp_enqueue_script('colorpicker_script', get_bloginfo( 'stylesheet_directory' ) . '/_admin/options/plugins/colorpicker/colorpicker.js',array( 'jquery' ));
            wp_enqueue_script('jquery_upload', get_bloginfo( 'stylesheet_directory' ) . '/_admin/options/plugins/jquery-upload/jquery.upload-1.0.2.js',array( 'jquery' ));
            //wp_enqueue_script('jquery_ui', get_bloginfo( 'stylesheet_directory' ) . '/_admin/options/plugins/jquery-ui-1.10.2/jquery-ui.min.js',array( 'jquery' ));
        }
        
        function load_theme_options_admin_style()
        {
            wp_enqueue_style('custom_wp_admin_css', get_bloginfo( 'stylesheet_directory' ) . '/_admin/options/options.css');
            wp_enqueue_style('colorpicker_css', get_bloginfo( 'stylesheet_directory' ) . '/_admin/options/plugins/colorpicker/colorpicker.css');
            wp_enqueue_style('jquery_ui_css', get_bloginfo( 'stylesheet_directory' ) . '/_admin/options/plugins/jquery-ui-1.10.2/jquery-ui.min.css');
            
        }
}

function novavideo_theme_options_settings_page(){ 
    
//check if current user has rights to manage options
if ( !current_user_can( 'manage_options' ) )  {
		wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
	}
    
?>

<div class="wrap">    

    <h2>Novavideo Options</h2>

    <form class="theme_options_form">

<?php

    $upload_dir = wp_upload_dir();

    $theme_name = novavideo_get_theme_name();
    
    $theme_options =  get_option('theme_options');

    $cpt_option_set = 1;
    
    $output = '';
    
    $tabs   = array();
    
    foreach( (array) $theme_options as $theme_option ):

        $option_label      = isset( $theme_option['label'] )        ? $theme_option['label'] : '';
        $option_type       = isset( $theme_option['type'] )         ? $theme_option['type'] : '';
        $option_page_title = isset( $theme_option['page_title'] )   ? $theme_option['page_title'] : '';
        $option_id         = isset( $theme_option['id'] )           ? $theme_option['id'] : '';
        $option_values     = isset( $theme_option['values'] )       ? $theme_option['values'] : '';
        $option_default    = isset( $theme_option['default'] )      ? $theme_option['default'] : '';
        $option_desc       = isset( $theme_option['desc'] )         ? $theme_option['desc'] : '';
        $option_controls   = isset( $theme_option['controls'] )     ? $theme_option['controls'] : '';

        $controls_class = '';
        
        if( is_array( $option_controls ) ){
            
            $rel = 'rel="';
            
            foreach( $option_controls as $option_control ){
                
                $rel .= $option_control["controls_child_id"] . '__' . $option_control["controls_when_value_id"] . '|';
                
            }
            $rel = substr( $rel, 0 ,-1 ) . '"';
            $controls_class  = ' controls" ' . $rel;
            
            
        }else{
            $controls_class = '"';
        }
        
        //set default option into $content and set saved option if it exists
        $content = $option_default;
        
		if( get_option( $option_id ) != ''){
            $content = get_option( $option_id );
		}
       
        switch( $option_type ):

            case 'page' :
            
                //we generate the tabs
                $tabs[] = $option_page_title;
                
                //if it's not the first option_set, we close the last option set open div
                if( $cpt_option_set > 1 ){
                    $output .= '<div class="submit submit-theme-option"><a class="theme-options-prev" href="#">&laquo;</a>' . 
                              '<input type="submit" value="' . __( "Save changes", $theme_name ) . '" class="button button-primary submit-options" name="submit">' .
                              '<a class="theme-options-next" href="#">&raquo;</a></div>';
                    
                    $output .= '</div>';
                }
                $output .= '<div id="theme-options-' . sanitize_title( $option_page_title ) . '" class="theme-options-set">';
                $cpt_option_set++;
                //$output .= '<div class="sidebar-name"><h3>' . $option_page_title . '</h3></div>';
                break;


            case 'h4' :


                break;


            case 'p' :

                break;

            case 'separator' :
                
                $output .= '<div class="options-separator"></div>';                


                break;


            case 'input' :
            
                $output  .=  '<div class="theme_option' . $controls_class . ' id="' . $option_id . '">' .
                                '<label class="option_label" for="' . $option_id . '">' . $option_label . '</label>' .
                                '<input name="' . $option_id . '" value="' . $content . '" />' .
                                '<p>' . $option_desc . '</p>' .
                            '</div>';
                //echo $output;
                break;


            case 'checkbox' :
                
                $is_checked = "";
                
                $label_name = $option_id . '-' . $key;
                
                $output  .=  '<div class="theme_option' . $controls_class . ' id="' . $option_id . '">' .
                                '<label class="option_label" for="' . $option_id . '">' . $option_label . '</label>' .
                                '<input ' . $is_checked . ' type="checkbox" name="' . $option_id . '" value="true" /> ' .
                                '<label for="' . $label_name . '">' . $value . '</label>' .
                                '<p>' . $option_desc . '</p>' .
                            '</div>';
                //echo $output;

                break;

               
            case 'radio' :
            
                $options = "";

                foreach( (array) $option_values as $key => $value ){
                    
                    $is_checked = "";
                   
                    if( $content == $key ){
                        $is_checked = ' checked="checked"';
                    }
                    $label_name = $option_id . '-' . $key; 
                    $options .= '<div class="radio">' . 
                                    '<input id="' . $label_name .'"' . $is_checked . ' type="radio" name="' . $option_id . '" value="' . $key . '" /> ' . 
                                    '<label for="' . $label_name . '">' . $value . '</label>' . 
                                '</div>';

                }

                $output  .=  '<div class="theme_option' . $controls_class . ' id="' . $option_id . '">' .
                                '<label class="option_label" for="' . $option_id . '">' . $option_label . '</label>' .
                                $options .
                                '<div class="clear"></div>' .
                                '<p>' . $option_desc . '</p>' .
                            '</div>';
                //echo $output;

                break;


            case 'select' :

                $options = "";
                                
                foreach( (array) $option_values as $key => $value ){

                    $is_selected = "";
                    
                    if( $content == $key ){
                        $is_selected = ' selected="selected"';
                    }

                    $options .= '<option' . $is_selected . ' value="' . $key . '">' . $value . '</option>';

                } 
                
                if( $option_id == $theme_name . '_typo_title' ){
                
                    $output .=  '<div class="theme_option' . $controls_class . ' id="' . $option_id . '">' .
                                '<label class="option_label" for="' . $option_id . '">' . $option_label . '</label>' .
                                '<select name="' . $option_id . '">' . $options . '</select>' .
                                '<p class="font-sample">' . __('Font sample', novavideo_get_theme_name()) . '...</p>' .
                                '<p>' . $option_desc . '</p>' .
                                '</div>';
                                                
                } else {
                    
                    $output .=  '<div class="theme_option' . $controls_class . ' id="' . $option_id . '">' .
                                '<label class="option_label" for="' . $option_id . '">' . $option_label . '</label>' .
                                '<select name="' . $option_id . '">' . $options . '</select>' .                            
                                '<p>' . $option_desc . '</p>' .
                                '</div>';
                    
                }
                
                //echo $output;

                break;


            case 'textarea' :
                               
                $output  .=  '<div class="theme_option' . $controls_class . ' id="' . $option_id . '">' .
                                '<label class="option_label" for="' . $option_id . '">' . $option_label . '</label>' .
                                '<textarea cols="60" rows="8" name="' . $option_id . '">' . stripcslashes( $content ) . '</textarea>' .
                                '<p>' . $option_desc . '</p>' .
                            '</div>';
                //echo $output;

                break;
                
            case 'colors' :
                
                $options = '<ul class="option_color">';    
                foreach( (array) $option_values as $key => $value ){

                    $is_selected = "";

                    if( $content == $key ){
                        $is_selected = ' class="selected"';
                    }
                    
                    $hex_value   = $key;
                                                  
                    $options .= '<li' . $is_selected . '><a class="' . $hex_value . '" href="#"  style="background-color:#' . $hex_value . '" title="' . $value . '">&nbsp;</a></li>';
                    
                }
                
                $options .= '</ul>';
                
                $options .= '<input type="hidden" name="' . $option_id . '" value="' . $content . '" /> ';

                $output  .=  '<div class="theme_option' . $controls_class . ' id="' . $option_id . '">' .
                                '<label class="option_label" for="' . $option_id . '">' . $option_label . '</label>' .
                                $options . 
                                
                            '<div class="clear"></div>' .
                            '<p>' . $option_desc . '</p>' .
                            '</div>';
                //echo $output;
                break;
                
            
            case 'textures' :
                
                $options = '<ul class="option_texture">';    
                foreach( (array) $option_values as $key => $value ){

                    $is_selected = "";

                    if( $content == $key ){
                        $is_selected = ' class="selected"';
                    }
                    
                    $texture_value   = $key;
                                                  
                    $options .= '<li' . $is_selected . '><a class="' . $texture_value . '" href="#"  title="' . $texture_value . '">&nbsp;</a></li>';
                    
                }
                
                $options .= '</ul>';
                
                $options .= '<input type="hidden" name="' . $option_id . '" value="' . $content . '" /> ';

                $output  .=  '<div class="theme_option' . $controls_class . ' id="' . $option_id . '">' .
                                '<label class="option_label" for="' . $option_id . '">' . $option_label . '</label>' .
                                $options . 
                                
                            '<div class="clear"></div>' .
                            '<p>' . $option_desc . '</p>' .
                            '</div>';
                //echo $output;
                break;


            case 'colorpicker' :

?>
                <script type="text/javascript">
                <!--
                    jQuery(document).ready(function(){
                	jQuery('#<?php echo $option_id; ?>_picker').children('div').css('backgroundColor', '<?php echo "#" . $content; ?>');    
                				 jQuery('#<?php echo $option_id; ?>_picker').ColorPicker({
                					color: '<?php echo $content; ?>',
                					onShow: function (colpkr) {
                						jQuery(colpkr).fadeIn(500);
                						return false;
                					},
                					onHide: function (colpkr) {
                						jQuery(colpkr).fadeOut(500);
                						return false;
                					},
                					onChange: function (hsb, hex, rgb) {
                						//jQuery(this).css('border','1px solid red');
                						jQuery('#<?php echo $option_id; ?>_picker').children('div').css('backgroundColor', '#' + hex);
                						jQuery('#<?php echo $option_id; ?>_picker').next('input').attr('value','#' + hex);
                						
                					}
                				  });
                    });
                -->
                </script>
<?php
                $val = isset( $content ) ? $content : '';
                $options = '<div id="' . $option_id . '_picker" class="colorSelector"><div></div></div>';
			    $options .= '<input name="'. $option_id .'" type="text" value="'. $val .'" />';
                
                $output  .=  '<div class="theme_option' . $controls_class . ' id="' . $option_id . '">' .
                                '<label class="option_label" for="' . $option_id . '">' . $option_label . '</label>' .
                                $options . 
                                
                            '<div class="clear"></div>' .
                            '<p>' . $option_desc . '</p>' .
                            '</div>';
                
                break;
                
            case 'upload' :
            
                $file_URI = str_replace($upload_dir['baseurl'], $upload_dir['basedir'], get_option( $option_id ) );

                if( get_option($option_id) && file_exists( $file_URI ) ){
                    
                    $output  .=  '<div class="theme_option' . $controls_class . ' id="' . $option_id . '">' .
                                    '<label class="option_label" for="' . $option_id . '">' . $option_label . '</label>' .
                                    '<input type="file" name="upload" />' .
                                    '<a href="#" class="upload-delete" rel="' . $option_id . '"><img src="' . get_bloginfo( 'template_url' ) . '/_admin/images/button_cancel.png" /></a>' .
                                    '<input type="hidden" name="' . $option_id . '" value="' . get_option($option_id) . '" />' .
                                    '<p>' . $option_desc . '</p>' .
                                    '<div class="uploaded-img"><img src="' . get_option($option_id) . '" /></div>' .
                                '</div>';
                    
                }else{
                                    
                    $output  .=  '<div class="theme_option' . $controls_class . ' id="' . $option_id . '">' .
                                    '<label class="option_label" for="' . $option_id . '">' . $option_label . '</label>' .
                                    '<input type="file" name="upload" />' .
                                    '<a href="#" style="display:none;" class="upload-delete" rel="' . $option_id . '"><img src="' . get_bloginfo( 'template_url' ) . '/_admin/images/button_cancel.png" /></a>' .
                                    '<input type="hidden" name="' . $option_id . '" value="" />' .
                                    '<p>' . $option_desc . '</p>' .
                                    '<div class="uploaded-img"></div>' .
                                '</div>';
                }

                break;
              
              case 'slider':
               
                $slider_min     = $theme_option['slider_config']['min'];
                $slider_max     = $theme_option['slider_config']['max'];
                $slider_step    = $theme_option['slider_config']['step'];
                $slider_type    = $theme_option['slider_config']['type'];
              
                ?>
                <script type="text/javascript">
                <!--
                    jQuery(document).ready(function(){
                				 jQuery('#<?php echo $option_id; ?>_slider').slider({
                                                                					   value: <?php echo $content; ?>,
                                                                                       min: <?php echo $slider_min; ?>,
                                                                                       max: <?php echo $slider_max; ?>,
                                                                                       step: <?php echo $slider_step; ?>,
                                                                                       slide: function(event, ui){
                                                                                            jQuery(this).siblings('.slider-amount').html( ui.value + ' <?php echo $slider_type; ?>' );
                                                                                            jQuery('input[name="<?php echo $option_id;?>"]').attr('value', ui.value );
                                                                                       }
                                                                                    });
                				  });
                -->
                </script>
                <?php
                
                $options = '<div class="slider-min slider-num"> ' . $slider_min . '</div><div id="' . $option_id . '_slider" ></div><div class="slider-max slider-num"> ' . $slider_max . '</div><div class="slider-amount">' . $content . ' ' . $slider_type . '</div>';
			    $options .= '<input type="hidden" name="'. $option_id .'" type="text" value="'. $content .'" />';
                
                $output  .=  '<div class="theme_option' . $controls_class . ' id="' . $option_id . '">' .
                                '<label class="option_label" for="' . $option_id . '">' . $option_label . '</label>' .
                                $options . 
                                
                            '<div class="clear"></div>' .
                            '<p>' . $option_desc . '</p>' .
                            '</div>';
                
                break;


        endswitch;



    endforeach;
    
    //generate options tabs
    echo '<ul id="theme-options-tabs">';
    
    foreach( (array) $tabs as $tab_key => $tab_name ){
        
        $selected = '';
        
        if( $tab_key == 0 ){
            
            $selected = 'class="selected"';
            
        }
        
        echo '<li id="theme-tab-' . sanitize_title( $tab_name ) . '"' . $selected . '><a href="#">' . $tab_name . '</a></li>'; 
        
    }
    
    echo '</ul>';
    
    //Output option sets page
    echo $output;
    
    echo '<div class="submit submit-theme-option"><a class="theme-options-prev" href="#">&laquo;</a>' . 
         '<input type="submit" value="' . __( "Save changes", $theme_name ) . '" class="button button-primary submit-options" name="submit">' .
         '<a class="theme-options-next" href="#">&raquo;</a></div></div>';
?>

    </div>
    
</form>

<div class="ajax-screen" id="ajax-options-loading">
    <div class="ajax-bg"></div>
    <div class="ajax-msg">
        <div class="ajax-msg-titre">Loading</div>
        <p><?php _e('Thanx for waiting', novavideo_get_theme_name()); ?></p>
        
    </div>
</div>

<div class="ajax-screen" id="ajax-options-success">
    <div class="ajax-bg"></div>
    <div class="ajax-msg">
        <div class="ajax-msg-titre"><img src="<?php echo get_bloginfo( 'template_url' ); ?>/_admin/images/action_success.png" alt="Success" /> <?php _e('Success', novavideo_get_theme_name()); ?> !</div>
        <p><?php _e('Options saved successfully', novavideo_get_theme_name()); ?></p> 
    </div>
</div>

<div class="ajax-screen" id="ajax-options-error">
    <div class="ajax-bg"></div>
    <div class="ajax-msg">
        <div class="ajax-msg-titre"><img src="<?php echo get_bloginfo( 'template_url' ); ?>/_admin/images/button_cancel.png" alt="Error" /> <?php _e('Error', novavideo_get_theme_name()); ?> !</div>
        <p><?php _e('Error saving options', novavideo_get_theme_name()); ?></p> 
    </div>
</div>





<?php
/**********************************/
/************* JQUERY *************/
/**********************************/
?>
<script type="text/javascript">
    <!--
    	jQuery(document).ready(function(){

           //Auto Hiding all dependent options
           jQuery( '.controls' ).each( function(){

                var options_to_hide = jQuery( this ).attr('rel').split('|');
                
                jQuery.each( options_to_hide, function( index, value){
                    
                    var values = value.split('__');
                    jQuery( '#' + values[0] ).hide();
                    
                });
                
                
                

           });

           //Controling hide / show dependent options
            jQuery( '.controls div' ).live( 'click', function(){
                
                var toggle_options = jQuery( this ).parents( '.controls' ).attr('rel').split('|');
                var this_value = jQuery(this).children('input').attr('value');
                jQuery.each( toggle_options, function( index, value){
                    
                    var values = value.split('__');
                
                    var child_option    = values[0];
                    var controler_value = values[1];

                    if ( controler_value == this_value ){
    
                        jQuery( '#' + child_option ).slideDown( 'fast' );
    
                    }else{
    
                        jQuery( '#' + child_option ).slideUp( 'fast' );
     
                    }
                    
                });
               
           });

           jQuery( '.controls input:checked' ).trigger('click');
           
           
            //auto hide / show options sets            
            jQuery( '#theme-options-tabs li' ).live( 'click', function(e){
                e.preventDefault();
                 
                //Close all options sets
                jQuery( '#theme-options-tabs li' ).attr('class', '');
                jQuery( '.theme-options-set' ).hide();
                
                //show selected options set                
                var option_set_to_show = jQuery( this ).attr( 'id');

                jQuery( '#' + option_set_to_show.replace( 'tab', 'options' ) ).fadeIn( 'slow' );
                
                jQuery( this ).addClass('selected');
                
                //auto hide next / prev buttons
                if( jQuery('ul#theme-options-tabs li.selected').next('li').length == 0 ){
                    jQuery('a.theme-options-next').hide();
                 }else{
                    jQuery('a.theme-options-next').show();
                 }
                 if( jQuery('ul#theme-options-tabs li.selected').prev('li').length == 0 ){
                    jQuery('a.theme-options-prev').hide();
                 }else{
                    jQuery('a.theme-options-prev').show();
                 }

            });
            //auto hide next / prev buttons
            
            jQuery( '#theme-options-tabs li.selected' ).trigger('click');
            
            //select radio
            jQuery( '.radio' ).live( 'click', function(e){
                e.preventDefault();
                jQuery( this ).parent('div').children('.radio').removeClass( 'selected' );
                jQuery( this ).addClass( 'selected' );
                jQuery( this ).children('input').attr('checked', "checked");
            });
            jQuery( '.radio input:checked' ).trigger('click');
            
            //select color
            jQuery( 'ul.option_color li a' ).live( 'click', function(e){
                e.preventDefault();
                jQuery( 'ul.option_color li' ).removeAttr( 'class' );
                jQuery( this ).parent('li').addClass( 'selected' );

                var hidden_input = jQuery( this ).parents('ul').siblings('input[type="hidden"]');
                var hex_value    = jQuery( this ).attr('class');
                hidden_input.attr('value', hex_value);
            });
            //jQuery( 'ul.option_color li a' ).trigger('click');
            
            //select texture
            jQuery( 'ul.option_texture li a' ).live( 'click', function(e){
                e.preventDefault();
                jQuery( 'ul.option_texture li' ).removeAttr( 'class' );
                jQuery( this ).parent('li').addClass( 'selected' );

                var hidden_input     = jQuery( this ).parents('ul').siblings('input[type="hidden"]');
                var texture_value    = jQuery( this ).attr('class');
                hidden_input.attr('value', texture_value);
            });

            //next prev options buttons
            jQuery('a.theme-options-next').live( 'click',  function(e){
                 jQuery('ul#theme-options-tabs li.selected').next('li').children('a').trigger('click');
            });
            jQuery('.theme-options-prev').live( 'click',  function(e){
                 jQuery('ul#theme-options-tabs li.selected').prev('li').children('a').trigger('click');
            });
            
            var uploading = false;
            
            //Ajax save options
            jQuery( 'form.theme_options_form' ).live( 'submit', function(e, after_upload){
                if(uploading == false){
                    e.preventDefault();
                    var theme_options = jQuery(this).serialize();

                    var loading = jQuery('#ajax-options-loading');
                    var error   = jQuery('#ajax-options-error');
                    var success = jQuery('#ajax-options-success');
                    
                    jQuery.ajax({
                        
            			type: "post",
            			url: ajax_var.url,
                        //dataType   : "json",
            			data: "action=save-theme-options&nonce=" + ajax_var.nonce + "&" + theme_options,
            			success    : function(data, textStatus, jqXHR){
                            if( after_upload != true ){
        						success.fadeIn('slow');
        						window.setTimeout(function(){
        						   success.fadeOut('slow'); 					
        						}, 1000);
                            }
            			},
                        error     : function(jqXHR, textStatus, errorThrown) {
                            if( after_upload != true ){
                                error.fadeIn('slow');
        						window.setTimeout(function(){
        						   error.fadeOut('slow'); 					
        						}, 1000);
                            }
    						
                        } 
            		});
                    return false;
                }
                uploading = false;
        		
          
            });
            
            //Ajax upload file
            jQuery( 'input[name="upload"]' ).live( 'change', function(e){
                e.preventDefault();
                
                jQuery(this).next( 'a.upload-delete' ).trigger('click');
                
                uploading = true;
                var loading     = jQuery('#ajax-options-loading');
                var error       = jQuery('#ajax-options-error');
                var success     = jQuery('#ajax-options-success');
                var uploadedImg = jQuery(this).siblings('.uploaded-img');
                              
                jQuery(loading).fadeIn('slow');
                
                var file = jQuery(this).get(0).files[0];
                jQuery(this).siblings('input[type="hidden"]').attr( 'value', '<?php echo $upload_dir["baseurl"];?>/' + file.name ); 
                
                jQuery(this).upload("<?php echo get_bloginfo( 'stylesheet_directory' );?>/_admin/options/plugins/jquery-upload/upload.php", function(res) {
                    
                    if(res != 0){
                            uploadedImg.fadeOut('slow', function(){
                            uploadedImg.html(res);
                            uploadedImg.fadeIn('slow');
                            jQuery(this).siblings('a.upload-delete').fadeIn('slow');
                            jQuery( 'form.theme_options_form' ).trigger( 'submit', [true]);     
                        });
                        
                        
                    }
                    else{
                        alert("L'upload a échoué");
                    }

                    jQuery(loading).fadeOut('slow');
                }, 'html');
            });
            
            //Ajax delete file
            jQuery( 'a.upload-delete' ).live('click', function(e){
                e.preventDefault();
                    var that = jQuery(this);
                    var loading = jQuery('#ajax-options-loading');
                    var error = jQuery('#ajax-options-error');
                    var success = jQuery('#ajax-options-success');
                    var uploadedImg = jQuery(this).siblings('.uploaded-img');
                    
                    var option_id = jQuery(this).attr('rel');
                    
                    jQuery(loading).fadeIn('slow');
                    
                    jQuery(this).siblings('input[type="hidden"]').attr( 'value', '' );
                    
                    jQuery.ajax({
                        
            			type: "post",
            			url: ajax_var.url,
            			data: "action=upload-delete&nonce=" + ajax_var.nonce + "&option_id=" + option_id,
            			success    : function(data, textStatus, jqXHR){
                            loading.fadeOut('slow');
    						uploadedImg.children().fadeOut('slow');
                            that.fadeOut('slow');
            			},
                        error     : function(jqXHR, textStatus, errorThrown) {
                            loading.fadeOut('slow');
    						error.fadeIn('slow');
    						window.setTimeout(function(){
    						   error.fadeOut('slow'); 					
    						}, 1000);
                        } 
            		});
                    return false;
                
            });
            

        });
    -->
</script>

<?php } //end of theme_options_settings_page()

/*********************************************/
/************* AJAX Save Options *************/
/*********************************************/

add_action('wp_ajax_save-theme-options', 'novavideo_save_theme_options');
add_action('wp_ajax_upload-delete', 'novavideo_upload_delete');

function novavideo_save_theme_options(){
    
    $nonce = $_POST['nonce'];
    
    if ( ! wp_verify_nonce( $nonce, 'ajax-nonce' ) )
        die ( 'Busted!');
    
    //get current theme options
    $current_theme_options = get_option('theme_options');
    
    //get new theme options
    $new_theme_options = $_POST;
    
    //delete action and nounce which 1st and 2nd entries from ajax call
    array_shift( $new_theme_options );
    array_shift( $new_theme_options );
    
	foreach( $current_theme_options as $current_theme_option ){

        $current_type   = isset( $current_theme_option['type'] )    ? $current_theme_option['type'] : null;
        $current_id     = isset( $current_theme_option['id'] )      ? $current_theme_option['id'] : null;
        $current_values = isset( $current_theme_option['values'] )  ? $current_theme_option['values'] : null;

		$new_value = '';
		
        //if new option_id exists, we update its values 
		if( is_user_logged_in() && ( $current_id != null ) && isset( $new_theme_options[ $current_id ] ) ){
		  
			$new_value  = $new_theme_options[ $current_id ];
            
            if ( $current_type == 'colorpicker' )            
                $new_value = str_replace( "#", "", $new_value );//remove # from color picker

            update_option( $current_id, $new_value );
		}
        
    }
    
    exit;
}

function novavideo_upload_delete(){
    $nonce = $_POST['nonce'];
    
    $upload_dir = wp_upload_dir();
    
    if ( ! wp_verify_nonce( $nonce, 'ajax-nonce' ) )
        die ( 'Busted!');
    
    if( is_user_logged_in() && isset( $_POST['option_id'] ) ){
        
        $file_URI = str_replace($upload_dir['baseurl'], $upload_dir['basedir'], get_option( $_POST['option_id' ] ) );
        
        //delete file from server
        if( file_exists( $file_URI ) && !is_dir( $file_URI ) ){
            unlink( $file_URI );
        }
        //delete option
        update_option( $_POST['option_id'], '' );
    }else{
        return false;
    }
    exit;
}

?>