<?php
/**
 * Plugin Name: PBD AJAX Load Posts
 * Plugin URI: http://www.problogdesign.com/
 * Description: Load the next page of posts with AJAX.
 * Version: 0.1
 * Author: Pro Blog Design
 * Author URI: http://www.problogdesign.com/
 */
 
 /**
  * Initialization. Add our script if needed on this page.
  */
  
 function novavideo_pbd_alp_init() {
 	global $wp_query;

 	// Add code to index pages.
 	if( !is_singular() ) {	
 		// Queue JS and CSS
 		wp_enqueue_script(
 			'pbd-alp-load-posts',
 			get_bloginfo( 'template_url' ) . '/_front/js/load-posts.js',
 			array('jquery'),
 			'1.0',
 			true
 		);
 		 		
 		// What page are we on? And what is the pages limit?
 		$max = $wp_query->max_num_pages;
 		$paged = ( get_query_var('paged') > 1 ) ? get_query_var('paged') : 1;
 		
 		// Add some parameters for the JS.
 		wp_localize_script(
 			'pbd-alp-load-posts',
 			'pbd_alp',
 			array(
 				'startPage' => $paged,
 				'maxPages'  => $max,
 				'nextLink'  => next_posts($max, false),
                'more'      => __( 'Load more videos', novavideo_get_theme_name() ),
                'loading'   => __( 'Loading videos...', novavideo_get_theme_name() )
 			)
 		);
 	}
 }
 add_action('template_redirect', 'novavideo_pbd_alp_init');
 ?>