<?php

/**** comment system ****/
    add_filter('comment_form_defaults', 'novavideo_my_comment_defaults');
    function novavideo_my_comment_defaults($defaults) {
        
        $req = get_option('require_name_email');
        $aria_req = ( $req ? " aria-required='true'" : '' );
        
        $user = wp_get_current_user();
        $user_identity  = $user->display_name;
        
        $commenter = isset( $commenter ) ? $commenter : 0;
        
        $post_id   = isset( $post_id ) ? $post_id : 0;
        
        $defaults  = array(
                            'fields'                => array(
                                                                'author' => '<div><label for="author">' . __('Name',novavideo_get_theme_name()) . ( $req ? '<span class="required">*</span>' : '' ) . '</label> ' . '<input class="border-radius-5" id="author" name="author"  type="text" value="' . esc_attr($commenter['comment_author']) . '" size="30"' . $aria_req . ' /></div>',
                                                                'url'    => '<div><label for="url">' . __('Email',novavideo_get_theme_name()) . ( $req ? '<span class="required">*</span>' : '' ) . '</label> ' . '<input class="border-radius-5" id="email" name="email" type="email" value="' . esc_attr($commenter['comment_author_email']) . '" size="30"' . $aria_req . ' /></div>',
                                                                'email'  => '<div><label for="email">' . __('Website',novavideo_get_theme_name()) . '</label> ' . '<input class="border-radius-5" id="url" name="url" type="text"   value="' . esc_attr($commenter['comment_author_url']) . '" size="30"' . $aria_req . ' /></div>'
                                                            ),
                            'comment_field'         => '<div><label for="comment">' . __('Your comment', novavideo_get_theme_name()) . ( $req ? '<span class="required">*</span>' : '' ) . '</label><textarea class="border-radius-5" id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></div>',
                            'must_log_in'           => '<p class="must-log-in">' . sprintf(__('You must be <a href="%s">logged in</a> to post a comment.'), wp_login_url(apply_filters('the_permalink', get_permalink($post_id)))) . '</p>',
                            'logged_in_as'          => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>' ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( ) ) ) ) . '</p>',
                            'comment_notes_before'  => '<fieldset>',
                            'comment_notes_after'   => '</fieldset>',
                            'id_form'               => 'commentform',
                            'id_submit'             => 'submit',
                            'title_reply'           => '<span>' . __('Leave a Comment',novavideo_get_theme_name()) . '</span>',
                            'title_reply_to'        => __('Leave a Reply %s',novavideo_get_theme_name()),
                            'cancel_reply_link'     => __('Cancel reply',novavideo_get_theme_name()),
                            'label_submit'          => __('Send',novavideo_get_theme_name()),
                         );
    
        return $defaults;
    }

    function novavideo_theme_comment($comment, $args, $depth) {
        $comment_id = get_comment_ID();
        $GLOBALS['comment'] = $comment;
        switch ($comment->comment_type) :
        case '' :
            echo '<li id="comment-' . $comment_id . '">
                    <div class="avatar">' .  get_avatar($comment, 50) . '</div>
                    <span class="author">
                        <cite class="fn">' . get_comment_author_link() . '</cite>
                    </span>
                    <span id="date"> / ' . get_comment_date() . '</span>
                    <span id="reply">' . comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) . '</span>';
     
            if ($comment->comment_approved == '0') :
                echo '<em> - ' . __('Your comment is awaiting moderation.', novavideo_get_theme_name()) . '</em>';
            endif;
            
            comment_text();
            
            echo '</li>';
            
        break;
        case 'pingback' :
        case 'trackback' :
        
            echo '<li class="post pingback">
                  <p>' . __('Pingback:', novavideo_get_theme_name()) . comment_author_link() . edit_comment_link(__('(Edit)', novavideo_get_theme_name()), ' ') .'</p>';
                break;
        endswitch;
    }
/****/

?>