<?php 

/* ************************************************************************************************
		Front functions
************************************************************************************************ */

/**** Load facebook opengraph ****/
    include_once( TEMPLATEPATH . '/_front/opengraph.php' );


/**** Load banners functions ****/
    include_once( TEMPLATEPATH . '/_front/banners.php' );


/**** Load ajax pagination if wanted via options ****/
    if( get_option( novavideo_get_theme_name() . '_type_pagination' ) == "ajax_button" )
        include_once( TEMPLATEPATH . '/_front/ajax-pagination.php' );
    

/**** Load mobile navigation ****/
    include_once( TEMPLATEPATH . '/_front/mobile-nav.php' );
    

/**** Load pagination ****/
    include_once( TEMPLATEPATH . '/_front/pagination.php' );
    
    
/**** Load comment system ****/
    include_once( TEMPLATEPATH . '/_front/comments.php' );  

   

/**** Load JS files ****/
    function novavideo_import_js() {
        
        //load mobile navigation
        wp_register_script( 'top_mobile_navigation', get_bloginfo( 'template_url' ) . '/scripts/selectnav.js', array("jquery"), '1.0', true );
        wp_enqueue_script( 'top_mobile_navigation');
                
        //load main script
        wp_register_script( 'main_js', get_bloginfo( 'template_url' ) . '/scripts/main.js', array("jquery"), '1.0', true );
        wp_enqueue_script( 'main_js' );       
        
        //localize ajax for preview script
        wp_localize_script( 'main_js', 'ajax_var', array(
            'url'   => admin_url( 'admin-ajax.php' ),
            'nonce' => wp_create_nonce( 'ajax-nonce' ),
            
            'carousel_auto'         => get_option ( novavideo_get_theme_name() . '_carousel_auto' ),
            'carousel_captions'     => get_option ( novavideo_get_theme_name() . '_carousel_captions' ),
            'carousel_controls'     => get_option ( novavideo_get_theme_name() . '_carousel_controls' ),
            'carousel_pager'        => get_option ( novavideo_get_theme_name() . '_carousel_pager' ),
        )); 
        
        //load blocs resize plugin
        wp_register_script( 'jquery_resize', get_bloginfo( 'template_url' ) . '/scripts/jQuery.ba-resize.min.js', array("jquery"), '1.0', true );
        wp_enqueue_script( 'jquery_resize' );         
        
        //scroll to top
        wp_register_script( 'scrolltotop_js', get_bloginfo( 'template_url' ) . '/scripts/scrollToTop.min.js', array("jquery"), '1.0', true );
        wp_enqueue_script( 'scrolltotop_js' );
        
        //load carousel
        wp_register_script( 'jquery_carousel', get_bloginfo( 'template_url' ) . '/scripts/jquery.bxslider.min.js', array("jquery"), '1.0', true );
        wp_enqueue_script( 'jquery_carousel' );                
                 
    }
    
    add_action('init', 'novavideo_import_js');
/****/


/**** Posts per page // hack for pagination ****/        
function novavideo_custom_posts_per_page( $query ) {
    if ( $query->is_home() || $query->is_tax() || $query->is_category() || $query->is_search() || $query->is_archive() ) {
        set_query_var('posts_per_page', get_option( novavideo_get_theme_name() . '_nb_videos_listing' ));
    }
}
add_action( 'pre_get_posts', 'novavideo_custom_posts_per_page' );