<?php
/**
 * Default title property, using the page title.
 */
function novavideo_opengraph_default_title( $title ) {
  if ( is_singular() && empty($title) ) {
    global $post;
    $title = $post->post_title;
  }
  return $title;
}


/**
 * Default url property, using the permalink for the page.
 */
function novavideo_opengraph_default_url( $url ) {
  if ( is_singular() && empty($url) ) $url = get_permalink();
  return $url;
}


/**
 * Default site_name property, using the bloginfo name.
 */
function novavideo_opengraph_default_sitename( $name ) {
  if ( empty($name) ) $name = get_bloginfo('name');
  return $name;
}


/**
 * Default description property, using the bloginfo description.
 */
function novavideo_opengraph_default_description( $description ) {
  if ( !empty($description) ) {
    $description = strip_tags(strip_shortcodes($description));
    $description = wp_trim_words($description, 50, '...' );
  }else{  
    if ( is_singular('post') ) {
      if ( has_excerpt() ) {
        $description = strip_tags(get_the_excerpt());
      } else {
        global $post;
        // fallback to first 50 words of post contet, minus tags and shortcodes
        $description = strip_tags(strip_shortcodes($post->post_content));
        $description = wp_trim_words($description, 50, '...' );
      }
    } else {
      $description = get_bloginfo('description');
    }
  }
  return $description;
}


/**
 * Default locale property, using the WordPress locale.
 */
function novavideo_opengraph_default_locale( $locale ) {
  if ( empty($locale) ) $locale = get_locale();
  return $locale;
}


function novavideo_opengraph_default_metadata() {
  add_filter('opengraph_title', 'novavideo_opengraph_default_title', 5);
  //add_filter('opengraph_type', 'opengraph_default_type', 5);
  //add_filter('opengraph_image', 'opengraph_default_image', 5);
  add_filter('opengraph_url', 'novavideo_opengraph_default_url', 5);

  add_filter('opengraph_description', 'novavideo_opengraph_default_description', 5);
  //add_filter('opengraph_locale', 'novavideo_opengraph_default_locale', 5);
  add_filter('opengraph_site_name', 'novavideo_opengraph_default_sitename', 5);
}
add_filter('wp', 'novavideo_opengraph_default_metadata');

?>