<?php

/* ************************************************************************************************
		Video functions
************************************************************************************************ */

/**** Return video length ****/
function novavideo_get_duree_video( $type_duree = '' ){
    
    global $post;
    
    if( $type_duree == 'complete' ){
    
        $duree_seconds = get_post_meta( get_the_ID(), 'complete', true );
        
    }elseif( $type_duree == 'extract' ){
        
        $duree_seconds = get_post_meta( get_the_ID(), 'extract', true );

    } elseif (strlen(get_post_meta(get_the_ID(), 'duration', true))) {
        
        $duree_seconds = get_post_meta(get_the_ID(), 'duration', true);
        
    } else {
        
        $duree_seconds = get_post_meta(get_the_ID(), get_option(novavideo_get_theme_name() . '_duree'), true);
    }
         
    if( (int)$duree_seconds > 0 ){
        
        if( (int)$duree_seconds > 3600 ){
            
            return date( 'H:i:s', $duree_seconds ); 
             
        }else{
            
            return date( 'i:s', $duree_seconds );
        }
        
    }else{
        
        return false; 
        
    }
    
}
/****/


/**** Return number of videos found (for titles) ****/
    function novavideo_get_nb_video(){
        
        global $wp_query;
        
        $nb_videos = $wp_query->found_posts;
        
        $output = '(';
        
        if( $nb_videos > 1 ){
            $output .= $nb_videos . ' ' . __( 'videos', novavideo_get_theme_name() );
        }else{
            $output .= $nb_videos . ' ' . __( 'video', novavideo_get_theme_name() );
        }
        
        $output .= ')';
        
        if( $nb_videos ){
            return $output;
        }else{
            return false;
        }
        
    }
/****/

/**** Return number of thumbs for a defined post ****/
function novavideo_get_nb_thumbs( $post_id ){
    
    global $post;
    $post = get_post( $post_id );
    
    //get images attached to the post
    $attachments = get_children( array(
    	'post_type'      => 'attachment',
    	'posts_per_page' => -1,
    	'post_parent'    => $post->ID,
    ) );
    
    $attachments_guid = '';
    
    // On teste si on a des images ou non
    if ( $attachments ) {
        
    	foreach ( $attachments as $attachment ) {
   		   // On affiche l'image dans un lien hypertexte
           $attachments_guid[] = $attachment->guid;
        }
    
    }
    
    return count($attachments_guid);
    
}


/**** Video views ****/
    function novavideo_getPostViews($postID){
        $count_key = 'post_views_count';
        $count = get_post_meta($postID, $count_key, true);
        if($count==''){
            delete_post_meta($postID, $count_key);
            add_post_meta($postID, $count_key, '0');
            return '0 <span>' . __('view', novavideo_get_theme_name()) . '</span>';
        }
        if($count <= 1){
            return $count.' <span class="views-img"></span>';
        }else{
            return $count.' <span class="views-img"></span>';
        }   
    }
    
    function novavideo_setPostViews($postID) {
        $count_key = 'post_views_count';
        $count = get_post_meta($postID, $count_key, true);
        if($count==''){
            $count = 0;
            delete_post_meta($postID, $count_key);
            add_post_meta($postID, $count_key, '0');
        }else{
            $count++;
            update_post_meta($postID, $count_key, $count);
        }
    }
/****/


/**** Video listings filters generation ****/
    function novavideo_get_filtre(){
    
        $filtre = isset( $_GET['filtre'] ) ? $_GET['filtre']: 'date';
           
        global $wp_query;
        
        if( $filtre != null){
    
            switch( $filtre ){
                    
                    case 'date': 
                    
                        $args = array(
                                       'orderby'        => 'date',
                                       'order'          => 'DESC',
                                     );
                        break;
                                 
                                 
                    case 'views':
                    
                        $args = array(
                                       'meta_key'       => 'post_views_count',
                                       'orderby'        => 'meta_value_num',
                                       'order'          => 'DESC',
                                     );
                        break; 
                    
                    case 'duree':
                    
                        $args = array(
                                       'meta_key'       => get_option( novavideo_get_theme_name() . '_duree' ),
                                       'orderby'        => 'meta_value_num',
                                       'order'          => 'DESC',
                                     );
                        break;
                        
                    case 'rate':
                        $args = array(
                                       'meta_key'       => $filtre,
                                       'orderby'        => 'meta_value_num',
                                       'order'          => 'DESC',
                                     );
            
                        break;                    
            
            }
            
            $args = array_merge( (array)$wp_query->query_vars, (array)$args );
            
            query_posts( $args );
        
        }
        return $filtre;    
        
    }

    function novavideo_get_filtre_name( $filtre_id ){
            $filtre_array = array(  'date'      => __('latest', novavideo_get_theme_name()),
                                    'views'     => __('most viewed', novavideo_get_theme_name()), 
                                    'duree'     => __('longest', novavideo_get_theme_name()),                            
                                    'rate'      => __('top rated', novavideo_get_theme_name()),
                                    'random'    => __('random', novavideo_get_theme_name())
                                 );
        return $filtre_array[$filtre_id];
    }
/****/


/**** get video thumb ****/
    function novavideo_get_post_no_thumbnail( $post ){
        
        global $post;
        
        
        // On rcupre la liste des images attaches  l'article
        $attachments = get_children( array(
        	'post_type'      => 'attachment',
        	'posts_per_page' => 1,
        	'post_parent'    => get_the_ID(),
        	'exclude'        => get_post_thumbnail_id()
        ) );
        
        // On teste si on a des images ou non
        if ( $attachments ) {
        	
            $attachment = array_shift(array_values($attachments) );
            
            $extention = explode( '.', $attachment->guid );
            $extention = end($extention);
            
            $attachment_url = str_replace( '.' . $extention, '-210x142.' . $extention, $attachment->guid );
            
        	return '<img src="' . $attachment_url . '" alt="' . get_the_title() . '" />';
        	
        }else{
            return false;
        }
    }

    function novavideo_get_post_image( $size = 'thumb_site', $url_only = false, $post_id = null ){
        
        if( $post_id == null ){
            global $post;    
        }else{
            $post = get_post($post_id);
        }
        
        $output = false;
        
        $url_thumb          = get_post_meta($post->ID, 'url_thumb', true);
        $cnf_url_thumb      = get_post_meta($post->ID, 'cnf_source_thumb', true);
        $cnf4a_url_thumb    = get_post_meta($post->ID, 'cnf4a_source_thumb', true);
        $url_ewok_thumb     = get_post_meta($post->ID, 'ewok_tube_meta_thumb', true);
        
        /*$ch = curl_init($url_thumb);
        curl_setopt($ch, CURLOPT_NOBODY, true);
        curl_exec($ch);
        $retcode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
        curl_close($ch);*/
        
        if ( has_post_thumbnail() ) {
        
            $output =  get_the_post_thumbnail( $post->ID, $size, array( 'title' => get_the_title() ) );
            
        } else if ( $url_ewok_thumb != '' ) {
            
            $output = '<img src="' . $url_ewok_thumb . '" alt="' . get_the_title() . '" title="' . get_the_title() . '" />';
        
        } else if ( $cnf_url_thumb != '' ) {
            
            $output = '<img src="' . $cnf_url_thumb . '" alt="' . get_the_title() . '" title="' . get_the_title() . '" />';
            
        } else if ( $cnf4a_url_thumb != '' ) {
            
            $output = '<img src="' . $cnf4a_url_thumb . '" alt="' . get_the_title() . '" title="' . get_the_title() . '" />';
            
        } else if ( $url_thumb != '' /*&& $retcode==200*/ ) {
        
            $output = '<img src="' . $url_thumb . '" alt="' . get_the_title() . '" title="' . get_the_title() . '" />';
            
        } else if( novavideo_get_post_no_thumbnail($post) ) {
                
            $output = novavideo_get_post_no_thumbnail($post) ;
            
        } else {
                
            $output = '<img src="' . get_bloginfo('template_url') . '/images/no-image.png" alt="' . get_the_title() . '" />';
            
            }                   
        
        if( $url_only ){
            preg_match( '@src="([^"]+)"@' , $output, $img_url );
            $output = $img_url[1];        
        }
     
        return $output; 
        
    }
/****/

/**** Get youtube thumbnail as featured image ****/
function novavideo_set_youtube_as_featured_image($post) {
    
    // only want to do this if the post has no thumbnail
    if( ( !has_post_thumbnail($post) ) && ( get_post_meta( $post, 'use_thumb_youtube', true) == 'on' ) && ( get_post_meta($post, 'url_youtube', true) != "" ) ) { 

        // find the youtube url
        $post_array = get_post($post, ARRAY_A);
        $content = $_POST['url_youtube'];
        $youtube_id = novavideo_get_youtube_id($content);

        // build the thumbnail string
        $youtube_thumb_url = 'http://img.youtube.com/vi/' . $youtube_id . '/0.jpg';

        // next, download the URL of the youtube image
        media_sideload_image($youtube_thumb_url, $post, $post->title );

        // find the most recent attachment for the given post
        $attachments = get_posts(
            array(
                'post_type' => 'attachment',
                'numberposts' => 1,
                'order' => 'ASC',
                'post_parent' => $post
            )
        );
        $attachment = $attachments[0];

        // and set it as the post thumbnail
        set_post_thumbnail( $post, $attachment->ID );

    } // end if

} // novavideo_set_youtube_as_featured_image
add_action('save_post', 'novavideo_set_youtube_as_featured_image');


    function novavideo_get_youtube_id($content) {
    
        // find the youtube-based URL in the post
        $urls = array();
        preg_match_all('#\bhttps?://[^\s()<>]+(?:\([\w\d]+\)|([^[:punct:]\s]|/))#', $content, $urls);
        $youtube_url = $urls[0][0];
    
        // next, locate the youtube video id
        $youtube_id = '';
        if(strlen(trim($youtube_url)) > 0) {
            parse_str( parse_url( $youtube_url, PHP_URL_QUERY ) );
            $youtube_id = $v;
        } // end if
    
        return $youtube_id;
    
    } // end novavideo_get_youtube_id

/****/

/* ************************************************************************************************
		Video filters
************************************************************************************************ */

/**** See more filter ****/
    function novavideo_new_excerpt_more($more) {       
        global $post;
    	return '...';
    }
    add_filter('excerpt_more', 'novavideo_new_excerpt_more');
/****/


/**** Featured image ****/
    // This theme uses post thumbnails
    if ( function_exists( 'add_theme_support' ) ) {
    	add_theme_support( 'post-thumbnails' );
        /** #1 Tube - Blog - Thumbs wall **/
        add_image_size( 'thumb_site', '210', '142', '1' ); 
        
        /** #2 Mode admin **/
        add_image_size( 'thumb_admin', '95', '70', '1' );        
    }
    add_filter( 'intermediate_image_sizes', 'novavideo_remove_stock_image_sizes' );
  
    function novavideo_remove_stock_image_sizes( $sizes ) {
        return array( 'thumb_site', 'thumb_admin' );
    }
    
    /** Featured image **/
/****/

    function novavideo_delete_thumb_function( $post_ID )  
    {
    
        $upload_dir = wp_upload_dir();
        
        if ( 'post' == get_post_type() ):
        
            global $_wp_additional_image_sizes;
    
            $post = get_post( $post_ID );
            // On rcupre la liste des images attaches  la vido
            $attachments = get_children( array(
            	'post_type'      => 'attachment',
            	'posts_per_page' => -1,
            	'post_parent'    => get_the_ID(),
            ) );
            // On teste si on a des images ou non
            if ( $attachments ) {
            	foreach ( $attachments as $attachment ) {
            	       
                    //delete generated thumbs
                    wp_delete_attachment( $attachment->ID, true );
                   
                    //delete original file
                    $file_URI = str_replace($upload_dir['baseurl'], $upload_dir['basedir'], $attachment->guid);
                    if( file_exists( $file_URI ) && !is_dir( $file_URI ) ){
                        unlink( $file_URI );
                    }
                }
            
            }
            
        endif;
    }
    add_action('before_delete_post', 'novavideo_delete_thumb_function');


?>