<?php 

/** Widget Novavideo - Videos Blocks **/

function novavideo_widgets_init2() {

  if ( !is_blog_installed() )

    return;

  register_widget( 'WP_Widget_Videos_Listings' ); 

  do_action( 'widgets_init' );

} 

add_action( 'init' , 'novavideo_widgets_init2' , 1 ); 

class WP_Widget_Videos_Listings extends WP_Widget { 

  function WP_Widget_Videos_Listings() {
    
    $widget_ops = array( 'classname' => 'widget_video_listings' , 'description' => __('Configurable blocks of videos', novavideo_get_theme_name()) );    

    $this->WP_Widget( 'video_listings' , __('Novavideo - Video Blocks', novavideo_get_theme_name()) , $widget_ops );

  }

  function widget( $args , $instance ) {

    extract( $args ); 

    $title = $instance['title'];

    global $t;
    
    $tv = isset( $instance['type_videos'] ) ? $instance['type_videos'] : null;
    
    $nv = isset( $instance['nombre_videos'] ) ? $instance['nombre_videos'] : null;
    
    $ta = isset( $instance['type_affichages'] ) ? $instance['type_affichages'] : null;
    
    $cv = isset( $instance['category_videos'] ) ? $instance['category_videos'] : null;
    
    $w = isset( $instance['widget_id'] ) ? $instance['widget_id'] : null;
    
    $w = 'ttw' . str_replace( 'video_listings-' , '' , $w );
    
    echo $before_widget;
    
    
    if ( $title )

      echo $before_title . $title . $after_title;


    switch( $tv ){
        
       case 'related':
            
            global $post;
                
            $current_postID = $post->ID;
            $categories     = get_the_terms( $current_postID, 'category' );
            
            if( $categories ){
            
                $id_cats = array_keys($categories);
                
                $args_query = array(
                    'post_type'         => 'post',
                    'posts_per_page'    => $nv,
                    'orderby'           => 'name',
                    'post__not_in'      => array( $current_postID ),
                    'tax_query'         => array(
                                                'relation'          => 'AND',
                                                // cat
                                                array(
                                                    'taxonomy' => 'category',
                                                    'field'    => 'id',
                                                    'terms'    => $id_cats,
                                                    'operator' => 'IN',
                                                    )
                                )
                );
                
            }
            
        break;
        
        case 'date':        

            $args_query = array(
                           'post_type'      => 'post',
                           'orderby'        => 'date',
                           'order'          => 'DESC',
                           'posts_per_page' => $nv,                           
                           'cat'            => $cv
                         );
                         
            break;                     

        case 'views':

            $args_query = array(
                           'post_type'      => 'post',
                           'meta_key'       => 'post_views_count',
                           'orderby'        => 'meta_value_num',
                           'order'          => 'DESC',
                           'posts_per_page' => $nv,                           
                           'cat'            => $cv
                         );

            break;

        case 'duree':
            $args_query = array(
                           'post_type'      => 'post',
                           'meta_key'       => get_option( novavideo_get_theme_name() . '_duree' ),
                           'orderby'        => 'meta_value_num',
                           'order'          => 'DESC',
                           'posts_per_page' => $nv,                           
                           'cat'            => $cv
                         );

            break;

        case 'rate':

            $args_query = array(
                           'post_type'      => 'post',
                           'meta_key'       => $tv,
                           'orderby'        => 'meta_value_num',
                           'order'          => 'DESC',
                           'posts_per_page' => $nv,                           
                           'cat'            => $cv
                         );

            break;        

        case 'random':

            $args_query = array(
                           'post_type'      => 'post',
                           'orderby'        => 'rand',
                           'order'          => 'DESC',
                           'posts_per_page' => $nv,                           
                           'cat'            => $cv
                         );

            break;

    }         
    
    $home_query = new WP_Query($args_query);

    if( $home_query->have_posts() ): ?>
        
        <?php if( $tv == 'related' ){
                global $post;
                $post_cat = wp_get_post_categories( $post->ID );
                }
        ?>
    
        <ul class="listing-<?php echo $ta;?> <?php if ($ta == 'carousel') { ?> carousel <?php } ?>">
    
            <?php while ( $home_query->have_posts() ) : $home_query->the_post();?>
                
                <?php 
                
                    get_template_part( 'item', $ta );
                
                ?>
                
            <?php endwhile; ?>
                
            <?php if ( $tv == 'related' && $ta != 'carousel' ) : ?>
            
                <li class="all_videos border-radius-5">
                    <a href="<?php echo get_bloginfo('url');?>/?cat=<?php echo $post_cat[0];?>"><?php _e('See all', novavideo_get_theme_name()); ?></a>
                </li>
            
            <?php elseif ( $ta != 'carousel' ) : ?>
                
                <li class="all_videos border-radius-5">
                    <a href="<?php echo get_bloginfo('url');?>/?filtre=<?php echo $tv;?>&amp;cat=<?php echo $cv;?>"><?php _e('See all', novavideo_get_theme_name()); ?></a>
                </li>
                
            <?php endif; ?>
            
        </ul>   

        <div class="clear"></div>
        

    <?php endif;    

    echo $after_widget;
    
    wp_reset_query();

  }

 

  function update( $new_instance, $old_instance ) {

    $instance = $old_instance;

    $instance['title']          = strip_tags( $new_instance['title'] );

    $instance['type_videos']    = stripslashes( $new_instance['type_videos'] );

    $instance['nombre_videos']  = stripslashes( ereg_replace("[^0-9]","", $new_instance['nombre_videos'] ) );

    $instance['category_videos']= stripslashes( $new_instance['category_videos'] );
    
    $instance['type_affichages']= stripslashes( $new_instance['type_affichages'] );
 

    return $instance;

  }

 

  function form( $instance ) {

    //Defaults

    $instance                   = wp_parse_args( (array) $instance , array( 'title' => '' ) );

    $title                      = esc_attr( $instance['title'] );

    $current_type_videos        = esc_attr( $instance['type_videos'] );    

    $nombre_videos              = esc_attr( $instance['nombre_videos'] );
    
    $category_videos            = esc_attr( $instance['category_videos'] );

    $current_type_affichages    = esc_attr( $instance['type_affichages'] );

?>



    <p><label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title', novavideo_get_theme_name() ); ?> :</label>

    <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $title; ?>" /></p>
    
    <?php if( $nombre_videos == "" ) $nombre_videos = 4;?>  

    <p><label for="<?php echo $this->get_field_id( 'nombre_videos' ); ?>"><?php _e( 'Total videos', novavideo_get_theme_name() ); ?> :</label>

    <input style="width:40px;" class="widefat" id="<?php echo $this->get_field_id( 'nombre_videos' ); ?>" name="<?php echo $this->get_field_name( 'nombre_videos' ); ?>" type="text" value="<?php echo $nombre_videos; ?>" /></p>

    <p><label for="<?php echo $this->get_field_id( 'type_videos' ); ?>"><?php _e( 'Display videos', novavideo_get_theme_name() ) ?> :</label>

    <select class="widefat video-sort" id="<?php echo $this->get_field_id( 'type_videos' ); ?>" name="<?php echo $this->get_field_name( 'type_videos' ); ?>">

<?php

 

    $types_videos = array(
                            'date'              => __('latest', novavideo_get_theme_name()),
                            'views'             => __('most viewed', novavideo_get_theme_name()), 
                            'duree'             => __('longest', novavideo_get_theme_name()),                            
                            'rate'              => __('top rated', novavideo_get_theme_name()),
                            'random'            => __('random', novavideo_get_theme_name()),
                            'related'           => __('related videos', novavideo_get_theme_name())
                         );

    foreach( $types_videos as $key => $value ) :
    
?>

    <option class="<?php echo esc_attr( $key ); ?>" value="<?php echo esc_attr( $key ); ?>" <?php selected( $key , $current_type_videos ); ?>><?php echo ucfirst( $value ); ?></option>

<?php

    endforeach;
    
?>

    </select></p>
    
    <p class="cat_affichage"><label for="<?php echo $this->get_field_id( 'category_videos' ); ?>"><?php _e( 'Category', novavideo_get_theme_name() ); ?> :</label>

    <?php
    
        $args = array(                          
                        'show_option_all'    => __('All', novavideo_get_theme_name()),
                        'show_option_none'   => '',
                        'show_last_update'   => 0,
                        'show_count'         => 1,
                        'hide_empty'         => 0,
                        'child_of'           => 0,
                        'exclude'            => '',
                        'echo'               => 1,
                        'selected'           => $category_videos,
                        'hierarchical'       => 1,
                        'name'               => $this->get_field_name( 'category_videos' ),
                        'id'                 => $this->get_field_id( 'category_videos' ),
                        'class'              => 'widefat',
                        'depth'              => -1,
                        'tab_index'          => 0,
                        'taxonomy'           => 'category',                    
                        'order'              => 'ASC',
                        'orderby'            => 'title'
                    );
    
        wp_dropdown_categories( $args );
    
    ?>

</p>   

    <p class="type_affichage"><label for="<?php echo $this->get_field_id( 'type_affichages' ); ?>"><?php _e( 'Type of display', novavideo_get_theme_name() ) ?> :</label>

    <select class="widefat" id="<?php echo $this->get_field_id( 'type_affichages' ); ?>" name="<?php echo $this->get_field_name( 'type_affichages' ); ?>">

<?php 

    $types_affichages = array(  
                                'tube'              => __('tube', novavideo_get_theme_name()),
                                'extract'           => __('tube with extract', novavideo_get_theme_name()),
                                'wall'              => __('wall thumbnails', novavideo_get_theme_name()),
                                'carousel'          => __('carousel', novavideo_get_theme_name())
                             );

    foreach( $types_affichages as $key => $value ) {

?>

    <option value="<?php echo esc_attr( $key ); ?>" <?php selected( $key , $current_type_affichages ); ?>><?php echo ucfirst( $value ); ?></option>

<?php

    }

?>

    </select></p>

<?php

  }

}

?>