<?php header("Content-type: text/css"); ?>
/* ================================================================================================
        Large sidebar
================================================================================================ */

/* ************************************************************************************************
		Content
************************************************************************************************ */
#content {
    width: 760px;    
}

/* ************************************************************************************************
		Listing videos
************************************************************************************************ */

/********** General **********/
.listing-tube li,
.listing-extract li,
.listing-wall li,
.listing-cat li {
    width: 165px;
    height: 226px;               
}

.listing-tube li img,
.listing-extract li img,
.listing-wall li img,
.listing-cat li img {
    width: 165px;  
    height: 111px;                                       
}

.listing-tube li a span,
.listing-extract li a span,
.listing-wall li a span,
.listing-cat li a span {    
    top: 129px;    
}

.listing-tube li a:hover,
.listing-extract li a:hover,
.listing-wall li a:hover,
.listing-cat li a:hover {
  background-position: center 38px;
}

/********** Tube with extract **********/
.listing-extract li {
    width: 355px;
}

.listing-extract li .right {    
    width:159px;
    height:213px;    
}

.listing-extract li .right p {
    height: 200px;
}

/********** Wall thumbnails **********/            
.listing-wall li {
    height:118px;
}

/********** Listing categories **********/
.listing-cat li {
    height:175px;
}

/* ************************************************************************************************
		Video content
************************************************************************************************ */
.minheight {
    min-height: 415px;
}

#video-infos,
#video-top {
    width: 758px;
}
#video-bottom {
    width: 738px;
}     

/* ************************************************************************************************
		Sidebar
************************************************************************************************ */
#sidebar {             
    width: 300px;
}

#sidebar #searchform #s {
    width: 238px;
}

/* ************************************************************************************************
		Video Widgets
************************************************************************************************ */

/********** Home page **********/
.content-widget {    
    width: 760px;    
}

/********** Sidebar **********/
#sidebar .sidebar-widget {                 
    width: 300px;    
}

#sidebar .sidebar-widget .listing-tube li {
    width: 140px;
    height: 150px;
    margin: 0 4px 10px;
}

#sidebar .sidebar-widget .listing-tube li img {
    width: 130px;
    height: 88px;
}

#sidebar .sidebar-widget .listing-tube li a span {
    top: 102px;
}

#sidebar .sidebar-widget .listing-tube li a:hover {
    background-position: center 25px;
}

/* ************************************************************************************************
		Advertising
************************************************************************************************ */
.sidebar-banner,
.sidebar-banner img {
    max-width: 300px;
}

.content-banner,
.content-banner img {
    max-width: 760px;
}

<?php
    if (!empty($_GET['responsive']) && $_GET['responsive'] == 'yes' ):
?>
/* ================================================================================================
        Mediaqueries
================================================================================================ */

/* ************************************************************************************************
		> 1024 resolutions
************************************************************************************************ */
@media only screen and (min-width: 960px) and (max-width: 1139px) {
    
    /********** Content widget **********/
    #content,
    .content-widget {
        width: 588px;
    }
    
    #content img {
        max-width: 588px;
    }

    /********** Listing videos **********/
    .listing-tube li img,
    .listing-wall li img,    
    .listing-extract li img {
        width: 122px;
        height: 83px;
    }
        
    .listing-tube li,
    .listing-extract li,
    .listing-wall li {
        width: 122px;
        height: 195px;
    }
    
    .listing-wall li {
        height: 91px;
    }
        
    .listing-extract li {
        width: 269px;
    } 
    
    .listing-extract li .right {
        width: 118px;
        height: 183px;
    }
    
    .listing-tube li a span,
    .listing-extract li a span,
    .listing-wall li a span {
        top: 100px;
    }
    
    .listing-tube li a:hover,
    .listing-extract li a:hover,
    .listing-wall li a:hover {
        background-position: center 25px;
    }
    
    .listing-infos {
        font-size: 11px;
    }
    
    /********** Video content **********/
    .minheight {
        min-height: 318px;
    }
    
    #video-infos,
    #video-top {
        width: 586px;
    }
    #video-bottom {
        width: 566px;
    } 
    
    /********** Advertising **********/    
    .content-banner,
    .content-banner img {
        max-width: 588px;
    }
    
    .footer-banner,
    .footer-banner img {
        max-width: 920px;
    }
            
}

<?php endif;?>