<?php header("Content-type: text/css"); ?>
/* ================================================================================================
        Small sidebar
================================================================================================ */

/* ************************************************************************************************
		Content
************************************************************************************************ */
#content {
    width: 900px;    
}

/* ************************************************************************************************
		Listing videos
************************************************************************************************ */

/********** General **********/
.listing-tube li,
.listing-extract li,
.listing-wall li,
.listing-cat li {
    width: 200px;
    height: 254px;               
}

.listing-tube li img,
.listing-wall li img,
.listing-extract li img,
.listing-cat li img {
    width: 200px;  
    height: 135px;                                       
}

.listing-tube li a span,
.listing-extract li a span,
.listing-wall li a span,
.listing-cat li a span {    
    top: 154px;    
}

.listing-tube li a:hover,
.listing-extract li a:hover,
.listing-wall li a:hover,
.listing-cat li a:hover {
  background-position: center 50px;
}

/********** Tube with extract **********/
.listing-extract li {
    width: 425px;
}

.listing-extract li .right {    
    width:195px;
    height:241px;    
}

.listing-extract li .right p {
    font-size: 13px;
    height:235px;
}

/********** Wall thumbnails **********/            
.listing-wall li {
    height:143px;
}

/********** Listing categories **********/
.listing-cat li {
    height:200px;
}

/* ************************************************************************************************
		Video content
************************************************************************************************ */
.minheight {
    min-height: 494px;
}

#video-infos,
#video-top {
    width: 898px;
}
#video-bottom {
    width: 878px;
}  

/* ************************************************************************************************
		Sidebar
************************************************************************************************ */
#sidebar{             
    width: 160px;
}

#sidebar #searchform #s {
    width: 100px;
}

/* ************************************************************************************************
		Video Widgets
************************************************************************************************ */

/********** Home page **********/
.content-widget {    
    width: 900px;    
}

/********** Sidebar **********/
#sidebar .sidebar-widget {                 
    width: 160px;
}

#sidebar .listing-tube li {
    width: 158px;
    height: 160px;
}

#sidebar .listing-tube li img {
    width: 148px;
    height: 100px;
}

#sidebar .listing-tube li a span {
    top: 114px;
}

#sidebar .listing-tube li a:hover{
    background-position: center 30px;
}

/* ************************************************************************************************
		Advertising
************************************************************************************************ */
.sidebar-banner,
.sidebar-banner img {
    max-width: 160px;
}

.content-banner,
.content-banner img {
    max-width: 900px;
}

<?php
    if (!empty($_GET['responsive']) && $_GET['responsive'] == 'yes' ):
?>
/* ================================================================================================
        Mediaqueries
================================================================================================ */

/* ************************************************************************************************
		> 1024 resolutions
************************************************************************************************ */
@media only screen and (min-width: 960px) and (max-width: 1139px) {
    
    /********** Content **********/
    #content,
    .content-widget {
        width: 725px;
    }
    
    #content img {
        max-width: 725px;
    }

    /********** Listing videos **********/
    .listing-tube li img,
    .listing-extract li img,
    .listing-wall li img,
    .listing-cat li img {
        width: 156px;
        height: 106px;
    }
        
    .listing-tube li,
    .listing-extract li,
    .listing-wall li,
    .listing-cat li {
        width: 156px;
        height: 225px;
    }
    
    .listing-wall li {
        height: 115px;
    }
        
    .listing-extract li {
        width: 337px;
    } 
    
    .listing-extract li .right {
        width: 145px;
        height: 212px;
    }
    
    .listing-extract li .right p {
        height: 200px;       
    }
    
    .listing-cat li {
        height: 165px;
    }
    
    .listing-tube li a span,
    .listing-extract li a span,
    .listing-wall li a span,
    .listing-cat li a span {
        top: 125px;
    }
    
    .listing-tube li a:hover,
    .listing-extract li a:hover,
    .listing-wall li a:hover,
    .listing-cat li a:hover {
        background-position: center 35px;
    }
    
    /********** Video content **********/
    .minheight {
        min-height: 395px;
    }
    
    #video-infos,
    #video-top {
        width: 723px;
    }
    #video-bottom {
        width: 703px;
    }      
            
}

<?php endif;?>