<?php
/**
 * The template for displaying the header.
 *
 * 
 * @subpackage Novavideo
 * @since Novavideo 1.0
 */
?>
    
    <!DOCTYPE html>
    <!--[if IE 7]>
    <html class="ie ie7" <?php language_attributes(); ?>>
    <![endif]-->
    <!--[if IE 8]>
    <html class="ie ie8" <?php language_attributes(); ?>>
    <![endif]-->
    <!--[if !(IE 7) | !(IE 8)  ]><!-->
    <html <?php language_attributes(); ?>>
    <!--<![endif]-->
    
<head>
<!-- www.20script.ir -->
    <meta charset="<?php bloginfo( 'charset' ); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />    
    <link rel="canonical" href="http://www.20script.ir" />
    <title><?php wp_title( '|', true, 'right' ); ?></title>
   
    <link rel="profile" href="http://gmpg.org/xfn/11" />
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />     
   
    <?php if ( is_singular( "post" ) ) : ?>     
        <!-- Opengraph Facebook & Video Player -->    
        <?php if(eregi("facebookexternalhit", $_SERVER['HTTP_USER_AGENT'])) : ?>    
            <meta property="og:title"       content="<?php echo novavideo_opengraph_default_title($post->post_title);?>"/>
            <meta property="og:type"        content="movie"/>
            <meta property="og:url"         content="<?php echo get_permalink();?>"/>
            <meta property="og:image"       content="<?php echo novavideo_get_post_image( 'thumb_site', true); ?>"/>
            <meta property="og:site_name"   content="<?php echo novavideo_opengraph_default_sitename(get_bloginfo('name'));?>"/>
            <meta property="og:description" content="<?php echo novavideo_opengraph_default_description($post->post_content);?>"/>        
        <?php endif;?>
    <?php endif;?>
    
    <?php get_template_part( '/_front/cssjs' ); ?>
    
    <?php wp_head(); ?>
    
</head>

<!-- Loading Background -->
<?php include_once( TEMPLATEPATH . '/_front/background.php' ); ?>

<body <?php body_class(); ?> <?php echo $set_background;?> >

<?php if ( $set_background !== '' && get_option( novavideo_get_theme_name() . '_form' ) == 'horizontal' ) : ?>    
    <div id="container" class="border-radius-top-10" style="background: none;"> 
<?php else : ?>
    <div id="container" class="border-radius-top-10">   
<?php endif; ?>

        <div id="header">
        
            <?php $logo = get_option( novavideo_get_theme_name() . '_logo' ); ?>
            
            <?php if ( $logo == "") : ?>
            
                <div id="logotext">
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('name');?>"><?php bloginfo('name');?></a>
                    <p><?php bloginfo('description');?></p>
                </div>
                
            <?php else: ?>
                       
                <div id="logo">
                    <a title="<?php bloginfo('name'); ?>" href="<?php echo esc_url( home_url( '/' ) ); ?>">
                        <img src="<?php echo $logo; ?>" alt="<?php bloginfo('name'); ?>" />
                    </a>
                </div><!-- #logo -->
            
            <?php endif; ?>            
            
                <div id="header-right">
              
                    <?php   
                        $banner_header              = novavideo_get_banner ('header');
                        $affiliate_id               = get_option ( novavideo_get_theme_name() . '_affiliate_id' );
                        $affiliate_banner_header    = get_option ( novavideo_get_theme_name() . '_affiliate_banner_header' );
                    ?>
                    <?php if ( $affiliate_id != '' && $affiliate_banner_header == 'yes' ) : ?>
                        <div class="header-banner"><a href="http://www.wp-script.com/?ref=<?php echo $affiliate_id; ?>" title="Video Wordpress Theme for Adult Websites" target="_blank" rel="nofollow"><img src="http://www.wp-script.com/banners/wp-script-full-banner-dark.gif" alt="Video Wordpress Theme for Adult Websites" /></a></div>
                    <?php elseif ( !empty($banner_header) ) : ?>
                        <div class="header-banner"><?php echo $banner_header; ?></div>
                    <?php endif;?>            
                    
                    <?php if ( get_option ( novavideo_get_theme_name() . '_search_header' ) == 'yes' ) get_search_form(); ?>
                
                </div>
                
                <div class="clear"></div>
        
        </div><!-- #header -->
        
        <!-- Menu navigation -->
        <?php if ( has_nav_menu('top-navigation') ) : ?>
      
            <div id="nav" class="border-radius-5 box-shadow">
                   
                <?php $nav_menu = array( 'theme_location'  => 'top-navigation' );
                        
                    wp_nav_menu( $nav_menu ); ?>
                
                <?php
                
                    wp_nav_menu(array(
                                        'menu'           => 'top-navigation', 
                                        'theme_location' => 'top-navigation',
                                        'walker'         => new Walker_Nav_Menu_Dropdown(),
                                        'items_wrap'     => '<select class="selectnav"><option value="/">' . __('Select Page', novavideo_get_theme_name()) . '</option>%3$s</select>',
                                        'container'      => false,
                                        'menu_class'     => 'selectnav'    
                                      )
                                );
                                
                ?>
                
            </div><!-- #nav -->                    
                
        <?php endif;?>
        
        <!-- Thumbs Carousel -->
        <?php if( get_option ( novavideo_get_theme_name() . '_carousel' ) == 'yes' && get_option ( novavideo_get_theme_name() . '_carousel_pos' ) == 'header' && is_home() ) : ?>
        
            <div id="th-carousel">
                <?php $carousel_nb = get_option ( novavideo_get_theme_name() . '_carousel_nb' ); ?>
                <?php query_posts('showposts=' . $carousel_nb); ?>
                <?php if ( have_posts() ) : ?>    
                    <ul class="listing-videos listing-carousel carousel">                
                        <?php while ( have_posts() ) : the_post(); ?>                                       
                            <?php get_template_part( 'item', 'carousel' ); ?>                
                        <?php endwhile; ?>          
                    </ul>                
                <?php endif; ?>
                
                <div class="clear"></div>
            </div><!--#th-carousel-->
                
        <?php endif; ?>        
        
        <div id="center">
        
            <div id="content">